Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDragLeaveEvent Class Reference

The QDragLeaveEvent class provides an event which is sent to the widget when a drag and drop leaves the widget. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QDragLeaveEvent ()

## Detailed Description

The QDragLeaveEvent class provides an event which is sent to the widget when a drag and drop leaves the widget.

This event is always preceded by a QDragEnterEvent and a series of QDragMoveEvents. It is not sent if a QDropEvent is sent instead.

See also QDragEnterEvent, QDragMoveEvent, QDropEvent, Drag And Drop Classes, and Event Classes.

## Member Function Documentation

### QDragLeaveEvent::QDragLeaveEvent ()

Constructs a QDragLeaveEvent.

Warning: Do not create a QDragLeaveEvent yourself since these objects rely on Qt's internal state.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.